%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version       0.70
%define DeviceKit_version       002
%define polkit_version          0.8
%define parted_version          1.8.8
%define alphatag                20090810

Summary: Power Management Service
Name: DeviceKit-power
Version: 010
Release: 0.3.%{?alphatag}git%{?dist}
#Release: 1%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/DeviceKit.git;a=summary

# this is a special build from the fedora11 branch
Source0:   http://hal.freedesktop.org/releases/%{name}-%{version}-%{?alphatag}.tar.gz
#Source0: http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz

BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: PolicyKit-devel >= %{polkit_version}
BuildRequires: DeviceKit-devel >= %{DeviceKit_version}
BuildRequires: sqlite-devel
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libusb-devel

Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: PolicyKit >= %{polkit_version}
Requires: DeviceKit >= %{DeviceKit_version}
Requires: udev
Requires: pm-utils >= 1.2.2.1

%description
DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system.

%package devel
Summary: Headers and libraries for DeviceKit-power
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for DeviceKit-power.

%prep
#%setup -q
%setup -q -n %{?name}-%{?version}-%{?alphatag}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING HACKING doc/TODO $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/README
%doc %{_datadir}/doc/%{name}-%{version}/TODO
%{_libdir}/libdevkit-power-gobject*.so.*
%dir %{_includedir}/DeviceKit-power/devkit-power-gobject
%{_includedir}/DeviceKit-power/devkit-power-gobject/*.h
%{_sysconfdir}/dbus-1/system.d/*.conf
/lib/udev/rules.d/*.rules
%dir %{_localstatedir}/lib/DeviceKit-power
%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/PolicyKit/policy/*.policy
%{_datadir}/dbus-1/system-services/*.service

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/gtk-doc/html/devkit-power
%{_datadir}/gtk-doc/html/devkit-power/*
%{_libdir}/libdevkit-power-gobject*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Aug 10 2009 Richard Hughes  <rhughes@redhat.com> - 010-0.3.20090810git
- Update to a git snapshot
- Should fix detection of some UPS devices
- Do not stop polling if the battery status is guessed
- Fixes #513014

* Tue Jul 21 2009 Richard Hughes  <rhughes@redhat.com> - 010-0.2.20090721git
- Update to todays git snapshot which detects hibernate properly, and may
  fix battery refreshing when the power state is changed.

* Tue Jul 21 2009 Richard Hughes  <rhughes@redhat.com> - 010-0.1.20090721git
- Update to todays git snapshot which detects batteries that stop charging at
  less than 95%.

* Mon Jul 06 2009 Richard Hughes <richard@hughsie.com> - 009-1
- Update to 009
- Fixes many problems with multi-battery laptops
- Use pm-powersave like HAL used to
- Fix detecting UPS devices
- Add support for recalled laptop batteries

* Mon Jun 01 2009 Richard Hughes <richard@hughsie.com> 008-1
- Update to 008
- Fixes #497563 and #495493

* Sat Apr 25 2009 Richard Hughes  <rhughes@redhat.com> - 008-0.2.20090401git
- Backport a trivial patch from upstream to make the suspend and hibernate
  scripts execute synchronously, which makes the unlock dialog do the right
  thing on resume.
- Fixes rh#497563

* Tue Apr 01 2009 Richard Hughes  <rhughes@redhat.com> - 008-0.1.20090401git
- Update to todays git snapshot which works with the new permissive DBus.

* Mon Mar 30 2009 Richard Hughes <richard@hughsie.com> 007-2
- Try to fix a compile error with koji and the new gcc.

* Mon Mar 30 2009 Richard Hughes <richard@hughsie.com> 007-1
- Update to 007

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 006-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 10 2009 Richard Hughes <richard@hughsie.com> 006-1
- Update to 006

* Mon Feb 02 2009 Richard Hughes <richard@hughsie.com> 005-1
- Update to 005

* Fri Jan 23 2009 Richard Hughes <richard@hughsie.com> 004-1
- Update to 004

* Tue Dec 09 2008 Richard Hughes <richard@hughsie.com> 003-1
- Update to 003

* Thu Nov 13 2008 Matthias Clasen <mclasen@redhat.com> 002-1
- Update to 002

* Sat Sep 06 2008 Richard Hughes <richard@hughsie.com> 001-2
- Fix the licence, and some directory ownership issues for the review request

* Tue Sep 02 2008 Richard Hughes <richard@hughsie.com> 001-1
- Initial spec file

